DRM_GEM_PRIVATE_OBJE(9)

NAME
drm_gem_private_object_init - initialize an allocated private GEM object

SYNOPSIS

void drm_gem_private_object_init(struct drm_device * dev, struct drm_gem_object * obj, size_t size);

ARGUMENTS

dev
    drm_device the object should be initialized for

obj
    drm_gem_object to initialize

size
    object size

DESCRIPTION

Initialize an already allocated GEM object of the specified size with no GEM provided backing store. Instead the caller is responsible for backing the object and handling it.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT